#ifndef _system_h_included_
#define _system_h_included_

//edit these to refer to hash map and hash multimap classes
//if all else fails, use std::map and std::multimap
#define hash_table_spc __gnu_cxx
#define hash_map_type map//hash_table_spc::hash_map
#define hash_multimap_type multimap//hash_table_spc::hash_multimap

//edit this to include the relevant header files for the hash and hash multimap
//if all else fails, include <map>
#include <ext/hash_map>
#include <map>


//edit these to refer to 64, 32, 16, and 8 bit integers on your implementation
//not sure if this is crucial or not
typedef unsigned long long int64;
typedef unsigned int int32;
typedef unsigned short int16;
typedef char int8;

//shouldn't have to change this
const int BITS_PER_CHAR = 8;

#endif
