#include "Alignment.h"
#include <cassert>

using namespace std;

void find_XY_coordinates( Vec<char> &alignment, Vec<char>::size_type column,
													pair< Vec<char>::size_type, Vec<char>::size_type > &pt_shift ) {
	pt_shift.first = pt_shift.second = 0;
	assert( column < alignment.size() );
	for (Vec<char>::size_type i = 0; i <= column; ++ i)
		switch( alignment[i] ) {
		case 'B':
			pt_shift.first++;
			pt_shift.second++;
			break;
		case 'X':
			pt_shift.first++;
			break;
		case 'Y':
			pt_shift.second++;
			break;
		}
}


