#ifndef ALIGNMENT_H
#define ALIGNMENT_H

#include "Vec.h"
#include <iostream>

//    find_XY_coordinates will return the X and Y coordinates of a point in an
//      alignment. For example, if the alignment is "XBBBYBYB" and the point
//      is 6 (0-indexed, so this is really the second 'Y'), it will return the
//      number of Xs and Ys "consumed" up to, and including that point, which
//      in this case is (5, 6).

void find_XY_coordinates( Vec<char> &alignment, unsigned int pt_in_alignment,
                          std::pair< Vec<char>::size_type, Vec<char>::size_type > &pt_shift );

#endif
