#ifndef _consensusletterpolicy_h_included_
#define _consensusletterpolicy_h_included_

#include "Mseq.h"
#include "System.h"
#include "MIter.h"

class ConsensusLetterPolicy
{
 public:

	typedef unsigned char seq_letter_type;

	Mseq::size_type getNumKeys(Mseq& sequence) const { return 1; }
	seq_letter_type getLetter(MIter& mIter, MIter::iterator& iter) const { return mIter.getConsensusChar(); }

	Mseq::size_type getNumKeys(const ProbVector& sequence) const { return 1; }
	unsigned int getLetter(const ProbVector& sequence, unsigned int position) const { return sequence.getMaxLetter(position); }
};

#endif

