#include "FilePatternSetSelector.h"
#include <istream>

void FilePatternSetSelector::getBestPatterns(string filename, TyphonNS::Pattern::size_type weight, TyphonNS::Pattern::size_type span, unsigned int numPatterns, Vec<TyphonNS::Pattern>& patterns)
{
	patterns.clear();
	ifstream patternF(filename.c_str());
	while (patternF.good() && (!patternF.eof()) && patterns.size() < numPatterns)
	{
		string curPatternS;
		patternF >> curPatternS;
		TyphonNS::Pattern curPattern(curPatternS.c_str());
		patterns.push_back(curPattern);
	}

	formatPatterns(weight, span, patterns);
} 
