#ifndef _onepatternsetselector_h_included_
#define _onepatternsetselector_h_included_

#include "System.h"
#include "Pattern.h"
#include "MandalaWrapper.h"

class OnePatternSetSelector
{
 public:

	static const unsigned int MAX_REGION_LENGTH = 128;

	double getBestPatterns(double simLevel, const Vec<TyphonNS::Pattern>::size_type numPatterns, const unsigned int patternWeight, const unsigned int patternSpan, Vec<TyphonNS::Pattern>& patterns);

};

#endif
