#ifndef _region_h_included_
#define _region_h_included_

#include "System.h"
#include "Seq.h"

class Region
{
 public:

	Region() {};
	Region(const Seq::size_type start, const Seq::size_type end) : _start(start), _end(end) {}

	Seq::size_type getStart() const { return _start; }
	void setStart(Seq::size_type start) { _start = start; }
	Seq::size_type getEnd() const { return _end; }
	void setEnd(Seq::size_type end) { _end = end; }
	Seq::size_type getLength() const { return _end - _start + 1; }
	
 private:

	Seq::size_type _start;
	Seq::size_type _end;

};

#endif
